abdera-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andreas Veithen (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (ABDERA-263) Abdera parser binary includes org.apache.axiom.soap/om/attachments
Date Sun, 25 May 2014 19:33:01 GMT

     [ https://issues.apache.org/jira/browse/ABDERA-263?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Andreas Veithen resolved ABDERA-263.
------------------------------------

       Resolution: Fixed
    Fix Version/s: 1.1.1

This issue was "accidentally" fixed in Abdera 1.1.1 (as a side effect of the upgrade from
Axiom 1.2.5 to 1.2.10).

Analysis: In Abdera 1.1, axiom-api was declared in Embed-Dependency, but it was not picked
up by maven-bundle-plugin because it was not a direct dependency of abdera-parser (this was
later fixed in r1129903; see ABDERA-281). Since Axiom 1.2.5 (on which Abdera 1.1 depended)
doesn't have OSGi metadata, maven-bundle-plugin decided to include the classes from axiom-api
into the abdera-parser bundle (as described in the present issue). Abdera 1.1.1 depended on
Axiom 1.2.10 which has OSGi metadata. maven-bundle-plugin therefore decided not to include
the axiom-api classes into the abdera-parser bundle.

> Abdera parser binary includes org.apache.axiom.soap/om/attachments
> ------------------------------------------------------------------
>
>                 Key: ABDERA-263
>                 URL: https://issues.apache.org/jira/browse/ABDERA-263
>             Project: Abdera
>          Issue Type: Bug
>    Affects Versions: 1.1
>         Environment: N/A
>            Reporter: Abhishek Shadangi
>             Fix For: 1.1.1
>
>
> When I include abdera-parser dependency in my pom.xml as below,
>     <dependency>
>        <groupId>org.apache.abdera</groupId>
>        <artifactId>abdera-parser</artifactId>
>        <version>1.1</version>
>     </dependency>
> it fetches a binary that INCLUDES the following Jars inside the binary
>     axiom-impl-1.2.5.jar
>     geronimo-stax-api_1.0_spec-1.0.1.jar
>     jaxen-1.1.1.jar
>     wstx-asl-3.2.6.jar
> AND more importantly also INCLUDES the following API packages (v1.2.5).
>     org.apache.axiom.soap
>     org.apache.axiom.om
>     org.apache.axiom.attachments
> Please see http://mvnrepository.com/artifact/org.apache.abdera/abdera-parser
> This is causing class loading conflicts in our project as we depend on the later versions
on these APIs and JARs. 
> Like other Abdera binaries, abdera-parser MUST ONLY include org.apache.abdera package.



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message